# Properties list for WetLabs ECO sensors on CIMT, ECOBB and ECOFL
# Values from this file are used to generate XML and
# netCDF metadata, well someday..
#
#!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
#! As of 2004-05-21, all values are best guesses !
#!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

#=========
# Mooring
#=========
mooring=M0
project=CIMT
GMT_offset=-7
CIMT.longitude=-121.985
CIMT.latitude=36.785
CIMT.waterdepth=441
CIMT.waterdepth_units=meters
CIMT.eco=ecobb

#=========
# SSDS Access URL
#=========
URL_base=http://ssds-test.shore.mbari.org:8080/access/GetOriginalDataServlet
# '=' characters in URL_options must be converted to '%3D'
URL_identification=deviceID%3D1301&platformID%3D1299
URL_options=metadataID%3D0&recordTypeID%3D1&convertTo%3Dhex&noHTMLHeader%3D0prependWith=oasis%3D1
URL_start_label=startDateTime
URL_end_label=endDateTime
# datetime_form must conform to MATLAB datestr conventions.  Use convert specs to modify
URL_datetime_form=yyyymmddTHHMMSS
URL_datetime_convert_from=T
URL_datetime_convert_to=.
URL_string =http://ssds-test.shore.mbari.org:8080/access/GetOriginalDataServlet?deviceID=1301&metadataID=0&recordTypeID=1&platformID=1299&isi=1&numHoursBack=192&noHTMLHeader=0&prependWith=oasis

#=========
# Paths
#=========
calibration_path=../configuration
netCDF_path=../netcdf
output_path=../data
plot_path=../plots
process_path=../processing
log_path=../logs
data_log=eco_data_log.txt
plot_log=eco_log.txt
datefile=dates.txt
datafile=ecobb.csv
netcdffile=ecobb.nc

#=========
# Time Dimension
#=========
time.long_name=Time
time.units=seconds since 1970-01-01 00:00:00

#=========
# Latitude Dimension
#=========
latitude.units=degrees_north
latitude.long_name=Latitude
latitude.AXIS=Y

#=========
# Longitude Dimension
#=========
longitude.units=degrees_west
longitude.long_name=Longitude
longitude.AXIS=X

#=========
# Depth Dimension
#=========
depth.units=meters
depth.positive=down
depth.long_name=Water Depth at Sensor
depth.AXIS=Z

#=========
# Calibration
#=========
calibration.ANGLE =117.0              
calibration.WAVELEN =660.0            
calibration.DARK_CNTS =72.9    
calibration.CAL_SW =0.00271          
#calibration.SCALE_FACTOR =0.000003251 BBSB-025R 1274
calibration.SCALE_FACTOR =0.00000238  
calibration.X =1.1                     
calibration.SAL =34.0
calibration.FILE =Bbsb-024 cal 9-17-03.xls 660(red)
#calibration.serialnumber =BBSB-024R
#calibration.devicenumber =1301
# maintenance on BB swapped devices on 7/28/2005
calibration.serialnumber =BBSB-024R
#calibration.devicenumber =1274  5-12-2006
calibration.devicenumber =1301

#=========
# Ecodata
#=========
ecodata.name=WetLabs ECO Backscatterometer
ecodata.longname=B_b(\lambda) Total Backscatter
ecodata.units=m-1
ecodata.AXIS=Y
ecodata.max=2
ecodata.min=0
ecodata.fname=bs
ecodata.raw_max=4120

                  

